From 7d2c3e8102370903c4d98edf065b61e9c1664b22 Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Sat, 21 Jun 2014 18:29:42 +0100
Subject: [PATCH 01/13] [distupgrade] elide passwords in kickstart user
 directives

---
 sos/plugins/distupgrade.py | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/sos/plugins/distupgrade.py b/sos/plugins/distupgrade.py
index 0f99b45..4ab897a 100755
--- a/sos/plugins/distupgrade.py
+++ b/sos/plugins/distupgrade.py
@@ -41,6 +41,12 @@ class distupgrade(sos.plugintools.PluginBase):
     def postproc(self):
         self.doRegexSub(
             "/root/preupgrade/kickstart/anaconda-ks.cfg",
+            r"(useradd --password) (.*)",
+            r"\1 ********"
+        )
+
+        self.doRegexSub(
+            "/root/preupgrade/kickstart/anaconda-ks.cfg",
             r"(\s*rootpw\s*).*",
             r"\1********"
         )
-- 
1.9.3

